
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IE8中使用javascript动态加载CSS的解决方法_javascript技巧 / iVAN</title>

    <meta name="description" content="IE8中使用javascript动态加载CSS的解决方法_javascript技巧 众所周知做前端开发的都恨不得踹IE开发者几脚,IE开发者名声之差不低于GFW开发者,昧着良心搞坏市场,人人得而诛之,但是在中国这些地方市场占有率摆在那里,没办法只能向现实低头. 最近我们产品需要在浏览器里动态载入一段CSS,以前的代码是直接用的: 复制代码 代码如下: var bubbleCss = document.createElement('style');bubbleCss.type = 'text/css';bubbleCss.innerHTML = blc_conf.bubbleSt">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IE8中使用javascript动态加载CSS的解决方法_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>众所周知做前端开发的都恨不得踹IE开发者几脚，IE开发者名声之差不低于GFW开发者，昧着良心搞坏市场，人人得而诛之，但是在中国这些地方市场占有率摆在那里，没办法只能向现实低头。</p>
<p>最近我们产品需要在浏览器里动态载入一段CSS，以前的代码是直接用的:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var bubbleCss = document.createElement('style');<br />bubbleCss.type = 'text/css';<br />bubbleCss.innerHTML = blc_conf.bubbleStyle;<br />document.getElementsByTagName('head')[0].appendChild(bubbleCss);</p>
<p>不过这个只有IE9支持，在IE8下会出问题，一直也没注意到这块，直到最近重构后做完整测试的时候才发现。<br />网上搜到一个技巧，试过，可行，但是有一些问题</p>
<p><u>复制代码</u> 代码如下:</p>
<p>window.bc_bubble_css = blc_conf.bubbleStyle;<br />document.createStyleSheet("javascript:bc_bubble_css");</p>
<p>这里可以创建由变量bc_bubble_css定义的样式，不过由于HTML5逐渐普及，我们的css里也混入了一些css3 selector，使用这个方法会导致IE8的parser解析到css3 selector的时候抛异常并停止解析后续css，这让css只加载了一半，网上搜到的办法都是用StyleSheet类型的addRule来增加，不过这个需要自己指定css2 selector以及样式，<br />因此需要从CSS中拆开单个的规则，然后依次调用addRule，例子：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var s = document.createStyleSheet();<br />var rules = blc_conf.bubbleStyle.replace(/\/\*[^\*]*\*\//g, "").replace(/@[^{]*\{/g, '').match(/[^\{\}]+\{[^\}]+\}/g);<br />for(var i = 0; i &lt; rules.length; i++) {<br />    var m = rules[i].match(/(.*)\s*\{\s*(.*)\}/);<br />    if(m) {<br />        try {<br />            s.addRule(m[1], m[2]);<br />        } catch(e) {<br />        }<br />    }<br />}</p>
<p>开头有两个替换，分别去掉注视和部分css3 的selector，不过依然有漏网的selector，需要在后面try catch 捉一下。<br />
<br />另外再次鄙视设计IE接口的人</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:19:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ie8/" title="ie8">ie8</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IE8中使用javascript动态加载CSS的解决方法_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqW5LKz.html" rel="bookmark">如何实现JavaScript动态加载CSS和JS文件&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目中需要用到动态加载CSS 文件,整理了一下,顺便融合了动态加载JS 的功能写成了一个对象,先上代码: var dynamicLoading = { css: function(path){ if(!path || path.length === 0){ throw new Error('argument &quot;path&quot; is required !'); } var head = document.getElementsByTagName('head')[0]; var link =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQWDGZp.html" rel="bookmark">JavaScript动态加载样式表的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript动态加载样式表的方法.分享给大家供大家参考.具体如下: 如果需要更换皮肤,我们可以通过JS代码动态加载皮肤的样式表,下面的代码就可以做到,非常简单,你只需要把这段代码做成函数动态调用即可. var el = document.createElement('link'); el.rel = 'stylesheet'; el.type = 'text/css'; el.href = 'http://www.jb51.net/...' + 'styles.css';			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NOwxp.html" rel="bookmark">jquery及js实现动态加载js文件的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery及js实现动态加载js文件的方法.分享给大家供大家参考,具体如下: 问题: 如果用jquery append直接加载script标签的话,会报错的.除了document.write外,还有没有其他的比较好的动态加载js文件的方法. 解决方法: 1.jquery方法 $.getScript(&quot;./test.js&quot;); //加载js文件 $.getScript(&quot;./test.js&quot;,function(){ //加载test.js,成功后,并执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1WYvM.html" rel="bookmark">JS动态加载当前时间的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS动态加载当前时间的方法.分享给大家供大家参考.具体实现方法如下: &lt;body bgcolor=&quot;#fef4d9&quot; onload =&quot;time()&quot;&gt; &lt;script language=&quot;JavaScript&quot;&gt; function time () { var now = new Date(); var yr = now.getYear(); var mName = now.getMonth() + 1; v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWxaQXp.html" rel="bookmark">javascript文件加载管理简单实现方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了javascript文件加载管理简单实现方法.分享给大家供大家参考.具体如下: 这里介绍超级简单的进行javascript的文件(模块)的加载管理, 实现sea.js或者require.js核心功能,用一行 &lt;script src=&quot;js/light/light.js&quot;&gt;&lt;/script&gt; 加载所有的js文件. //按照lightJs的顺序,让网页加载js文件: var lightJs = [ &quot;./js/light/pre/jquery			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJZydM.html" rel="bookmark">javascript实现加载xml文件的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了javascript加载xml文件的方法.分享给大家供大家参考,具体如下: //需要读取的xml文件 var uRl = &quot;jsReadXml.xml&quot;; var xmlDoc; //初始化,给上述定义变量赋值 // function showcurcity(){ if(window.ActiveXObject) { xmlDoc=new ActiveXObject(&quot;Microsoft.XMLDOM&quot;); xmlDoc.async=&quot;fal			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkLXrp.html" rel="bookmark">IE及IE6浏览器中判断JS文件加载成功失败的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浏览器的文件加载实际上是有非常纠结的兼容问题的.最近看到@lifesinger做了一个具体的总结.这里比较麻烦的是IE6~8不区分加载成功或失败,都走一个回调.在网上看了一种解决方案是,在加载文件的最后置一个全局变量或改变标签的属性来区分,这样成功与否就通过这个标志位判断.但显然不太完美,还要改加载文件. 后来尝试另一种思路,先创建一个vbscript,src置成一个JS文件,如这个文件加载正常,肯定会报错否则不会有反应.这样如果window.onerror捕获到错误了,说明文件有效,再正常加载			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeqd8z.html" rel="bookmark">JavaScript动态加载CSS的三种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|javascript|动态|加载 如果你有很多关联的CSS文件要一起加载,或者想动态的加载不同的CSS文件,那么下面的方法你一定对你有帮助. 第一种:一般用在外部CSS文件中加载必须的文件 程序代码@import url(style.css);/*只能用在CSS文件中或者style标签中*/ 第二种:简单的在页面中加载一个外部CSS文件  程序代码document.createStyleSheet(cssFile); 第三种:用createElement方法创建CSS的Link标签  程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOGRrRz.html" rel="bookmark">动态加载js文件简单示例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了动态加载js文件的方法.分享给大家供大家参考,具体如下: function loadScript(url){ var hd = document.getElementsByTagName('head')[0], js = document.createElement('script'); js.src = url; js.type = &quot;text/JavaScript&quot;; if(js.addEventListener){ js.addEventListener(&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqAO3M.html" rel="bookmark" class="title">数据库事务浅析</a>
					<div>
						数据库为什么要有事务,因为,事务是数据库区别于文件系统的特性之一.在文件系统中,如果你正在对2个文件进行修改,一个更新成功,另外一个在更新之前系统崩溃了,那么这就会有2个不同步的文件. 数据库中事务的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Dd9z.html" rel="bookmark" class="title">VFP与SQL远程异构数据库</a>
					<div>
						数据|数据库 &lt;P&gt; &lt;/P&gt;熟悉 VFP的朋友都知道,在 VFP 里我们可以使用远程视图 (Remote View) 和 SPT(SQL Pass Through) 技术控制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMADNKb.html" rel="bookmark" class="title">Flash脚本编程--DNA双螺旋结构</a>
					<div>
						编程|脚本 点击这里下载源文件 1.打开Flash,新建一个如图所示的形状的电影剪辑,在实例面板中给电影剪辑实例命名为&quot;dna1&quot; 2.新建一个图层,我们将插入动作脚本在这个图层上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv1m5b.html" rel="bookmark" class="title">如何根据网站主题正确选择合适的关键词</a>
					<div>
						这篇文章算是我博客的第一篇了,前面一篇文章算是博客的落脚文章吧,哈哈(其实这个文章以前就写了,没发布出来,下面的内容我就全部不改动了哈) 昨天建立这个博客的时候我就想了下博客的主题,大家可能现在也看见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Xdvp.html" rel="bookmark" class="title">中小企业网络营销常见的误区</a>
					<div>
						随着互联网的迅速发展,中小企业也开始加入互联网的行列,历经几年的发展,企业网络营销不仅没有消失,反而越来越发出巨大的吸引力.利用互联网的巨大资源,企业可以寻找到更多的营销机会,更大尺度的拓展用户范围. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kJWrz.html" rel="bookmark" class="title">用代码刷新ODBC链接SQL Server表</a>
					<div>
						问:在用MDB与SQL Server 2000链接时,有时需要刷新链接表,如何简洁方便地完成? 答:通过以下代码可以达到目的(此主题的解决参考了网友cwang的代码,并得到了微软工程师Billy Ya ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyxN8b.html" rel="bookmark" class="title">分享8个最佳的代码片段在线测试网站</a>
					<div>
						本文为你带来8款非常好用的代码片段在线工具,帮助你快速.方便地测试.编辑代码片段. 1.  ideone ideone是一个在线代码编辑.调试工具,允许开发者在线编译.运行代码,支持超过40种编程语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2q07M.html" rel="bookmark" class="title">WinXP系统无法重装IE怎么办</a>
					<div>
						WinXP系统无法重装IE怎么办   解决方法: 第1步:单击&quot;开始&quot;-&quot;运行&quot;命令,在打开的&quot;运行&quot;对话框中输入&quot;regedit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M624RYM.html" rel="bookmark" class="title">区分容易被Excel表格混淆的文本与数值</a>
					<div>
						文本数据是具有说明性.解释性的内容.文本数据可以是任何字符,所以有时文本和数值就可能被混淆.比如手机号码.银行账号,它们虽然是一串数字,但并不是用来计算用的数值,而是文本. 当Excel把一长串数字识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jXNob.html" rel="bookmark" class="title">易改登录后的显示界面</a>
					<div>
						如果第一次使用,我们推荐您浏览&quot;易改助手&quot;快速熟悉易改的纠错.润色和写作向导等功能; 熟悉易改操作后,您可以勾选&quot;下次启动时隐藏易改助手&quot;并关闭易改助手.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balXvJz.html" rel="bookmark" class="title">excel如何建立迷你图</a>
					<div>
						  1.在工具栏上点击&quot;插入&quot;,找到作图的一些选项,然后打开&quot;创建迷你图&quot;. 2.在&quot;数据范围&quot;中,输入基于数据的单元格区域,如图中的单元格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oq87b.html" rel="bookmark" class="title">win7纯净版的屏幕保护怎么设置</a>
					<div>
						  屏保都是很多童鞋都喜欢用的一个电脑设置,在win7纯净版中又是怎么设置屏保呢?屏保在电脑中的作用是很重要的,当自己离开电脑后屏保会挡住自己的&quot;隐私&quot;,尤其是在办公室里面是很好用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badN4Pz.html" rel="bookmark" class="title">192&period;168&period;1&period;1路由器进不去怎么办</a>
					<div>
						我们有时候发现电脑 路由器 登陆不了了,输入 路由器 的地址192.168.1.1无法访问,而是出现了域名解析错误(错误代码:105)这时候我们应该怎么办呢?小编根据自己的经验说一下 路由器 登陆不了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP85rvp.html" rel="bookmark" class="title">摄像头错误代码19是什么意思</a>
					<div>
						  在使用过程中会遇到摄像头驱动挂有叹号标志,但安装驱动无效,查看设备管理器设备状态,信息提示&quot;由于其配置信息(注册表中的)不完整或已损坏,Windows 无法启动这个硬件设备. (代码 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLarPkz.html" rel="bookmark" class="title">Web打印控件smsx&period;cab使用说明</a>
					<div>
						原文 Web打印控件smsx.cab使用说明  在项目开发中,经常会用到页面打印的功能,在ASP.NET环境下推荐一款web打印控件smsx.cab.    使用方法:一般会先定义一个用于打印的母版页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlmYQb.html" rel="bookmark" class="title">Oracle数据泵&lpar;Data Dump&rpar;错误汇集</a>
					<div>
						Oracle数据泵(Data Dump)使用过程当中经常会遇到一些奇奇怪怪的错误案例,下面总结一些自己使用数据泵(Data Dump)过程当中遇到的问题以及解决方法.都是在使用过程中遇到的问题,以后陆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQY9Ep.html" rel="bookmark" class="title">用c语言如何实现如下密码函数的效果？</a>
					<div>
						问题描述 用c语言如何实现如下密码函数的效果? 就是你输入一密码数,开始显示的是明文数字,等该数字落在框里,又变成*号这种形式,求大神解答...求这种代码的实现 解决方案 新建一个mfc对话框程序,放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kY5PM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;大智移云&rdquo;加快推进 全方位打造智慧城市&OpenCurlyDoubleQuote;云上石家庄&rdquo;</a>
					<div>
						到2018年,全市城镇家庭普遍具备100Mbps带宽接入能力:2020年,全市信息化发展水平将显著提升,数字经济实力明显提升.日前,石家庄市政府办公厅下发了&lt;石家庄市关于加快推进&quot;大智 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn78lkz.html" rel="bookmark" class="title">Linux 内核配置机制（make menuconfig、Kconfig、makefile）讲解</a>
					<div>
						前面我们介绍模块编程的时候介绍了驱动进入内核有两种方式:模块和直接编译进内核,并介绍了模块的一种编译方式--在一个独立的文件夹通过makefile配合内核源码路径完成     那么如何将驱动直接编译进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkdyqb.html" rel="bookmark" class="title">如何使用 Apache ab 以及 OneAPM 进行压力测试？</a>
					<div>
						下一个 release 准备小长假后就要 go-live ,所有的测试 case 都 cover 过了,但还未进行过压力测试,有点不放心,刚好过节期间家人都回家去了,假期终于可以抽点时间压测一把. A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB165Kz.html" rel="bookmark" class="title">slice2cpp-Slice2cpp编译的报头文件无法打开的错误</a>
					<div>
						问题描述 Slice2cpp编译的报头文件无法打开的错误 最近学习Ice,使用的是Ice3.4.2.在Ice用户手册的IceGrid那一节.有个Ripper的范例.其Slice文件如下: module ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWXGmz.html" rel="bookmark" class="title">&period;net-如何用wpf做出类似迅雷悬浮窗的效果</a>
					<div>
						问题描述 如何用wpf做出类似迅雷悬浮窗的效果 我想做一个悬浮窗,类似迅雷或者360那种,就是在任务管理器的应用里面看不到程序,在后台应用里才看得到程序,以及在alt+tab切换时也要看不到程序. 求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYKWyp.html" rel="bookmark" class="title">【JAVA基础】正则表达式的构造摘要</a>
					<div>
						正则表达式的构造摘要  构造 匹配     字符  x 字符 x  \\ 反斜线字符  \0n 带有八进制值 0 的字符 n (0 &lt;= n &lt;= 7)  \0nn 带有八进制值 0 的字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjWQKM.html" rel="bookmark" class="title">关系处理--产品设计的核心</a>
					<div>
						产品系统是什么?系统是由具有有机关系的若干事物为实现特定的功能目标而构成的集合体.构成系统的事物,称为系统的元素,元素间相对稳定有序的http://www.aliyun.com/zixun/aggre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22nXQb.html" rel="bookmark" class="title">李艾科是怎么搞垮惠普的：匆忙招来没有工作经验的人</a>
					<div>
						业务上的长期威胁,被削弱的董事会,以及错误地选择了李艾科(Léo Apotheker)为首席执行官,是燃烧惠普公司的三样可燃物.事实上,现在要了解公司的困境,最好的方法就是考察李艾科这段动荡不安的任职 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEg2AM.html" rel="bookmark" class="title">分布式系统 并不是我想象中的那样！</a>
					<div>
						﻿﻿ 过去两个月深入的参与了一个分布式系统的开发,记得之前有人说过&quot;想成为架构师之前,都是从微观架构开始的&quot;.尽管我从没想过将来的某一天要成为一个架构师,或者领域专家,我只是想萌萌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBPKoz.html" rel="bookmark" class="title">如何用vs2010调用并操作excel2003文件</a>
					<div>
						问题描述 想通过VS2010调出excel文件,并且让excel文件中的所有功能仍然保留,并能对excel文件进行操作该怎么弄呀? 解决方案 解决方案二:引用VS中提供的COM组件解决方案三:用插件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1249ap.html" rel="bookmark" class="title">投资公司天灏资本今日发布投资报告</a>
					<div>
						投资公司天灏资本(T.H.Capital)今日发布投资报告,维持优酷土豆股票(NYSE: YOKU )&quot;买入&quot;评级,同时维持33美元的目标股价不变. 以下为报告内容摘要: 2013 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnl8qp.html" rel="bookmark" class="title">工具箱窗口 里怎样才能使用自定义 泛型控件 呢 c&num;语言</a>
					<div>
						问题描述 自己做了个泛型控件结果工具箱窗口里不能出来自然也就拖不到窗体里了只有手写代码使用泛型控件了怎样才能让工具箱窗口支持自定义的泛型控件呢c#语言 解决方案 解决方案二:up解决方案三:泛型控件? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOngqb.html" rel="bookmark" class="title">倒记时60刷新网页的js代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;meta http-eq ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.081 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
